# Class Iso8601Converter.DateKit

java.lang.Object
uk.ac.starlink.ttools.convert.Iso8601Converter.DateKit

Enclosing class:
  `Iso8601Converter`

protected static class Iso8601Converter.DateKit extends Object
Helper class which contains all the items which are potentially expensive to produce but cannot be shared by different threads. An instance of this class is managed by a ThreadLocal.

Since:
  29 Aug 2006
Author:
  Mark Taylor

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`DateKit()`

## Method Summary

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DateKit

protected DateKit()